Bug 187977 - Do not flash the tray when users enter or leave chat sessions.
Summary: Do not flash the tray when users enter or leave chat sessions.
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: Notifications (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-24 09:28 UTC by Justin Lawrence
Modified: 2011-04-11 05:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lawrence 2009-03-24 09:28:05 UTC
Version:           0.70.0 (using 4.2.1 (KDE 4.2.1), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.28-11-generic

Often, I close my conversation window after a conversation has ended and am distracted from working by the kopete tray animation which is indicating that a message is waiting for me. I click on this animation and the previous conversation window opens with just this text:

yyy has ended his/her participation in the chat session.

I really think that we should only write that message if the conversation window is still open. 

What do you guys think?
Comment 1 Matt Rogers 2009-03-29 20:34:04 UTC
we can add an option for that.
Comment 2 Murz 2009-04-16 08:37:28 UTC
Will be good to the the option for tune this Notification. At now in "Configure notifications" I didn't see separate option for tune this type of notifications.
Comment 3 Justin Lawrence 2009-08-28 10:25:09 UTC
I really believe that this is not wishlist related and should be fixed. There is simply no logical reason to have this alert distract users once they've already left a conversation.

Unless someone can provide a reason for this, it's a bug.

Personally, it is a huge distraction to me as I liaise with many people during the day as well as attempt to write code. To acknowledge this distraction means I have to either leave the keyboard, click my mouse twice or press 5 keys (2 combinations: ctrl-shift-i and then ctrl-w) each time.

I see that other people struggle with this as well:

http://www.mail-archive.com/kopete-devel@kde.org/msg04404.html
Comment 4 Lamarque V. Souza 2011-04-11 05:03:57 UTC
SVN commit 1227628 by lvsouza:

Re-apply fix for bug 131951. Somehow the fix got lost during KDE 3.x -> 4.x transition.

BUG: 187977
FIXED-IN: 4.6.3


 M  +1 -0      jabbercontact.cpp  
 M  +1 -0      jabbergroupmembercontact.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1227628
Comment 5 Lamarque V. Souza 2011-04-11 05:04:58 UTC
SVN commit 1227629 by lvsouza:

Backporting r1227628:

Re-apply fix for bug 131951. Somehow the fix got lost during KDE 3.x -> 4.x
transition.

BUG: 187977
FIXED-IN: 4.6.3


 M  +1 -0      jabbercontact.cpp  
 M  +1 -0      jabbergroupmembercontact.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1227629